import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (a, t, s, c) => {
  for (var e = c > 1 ? void 0 : c ? v(t, s) : t, i = a.length - 1, o; i >= 0; i--)
    (o = a[i]) && (e = (c ? o(t, s, e) : o(e)) || e);
  return c && e && m(t, s, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--faceExcited", this.class = "c-pieIcon c-pieIcon--faceExcited", this.name = "IconFaceExcited";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--faceExcited"><path d="M9.5 6.75a.75.75 0 1 1 1.5 0 .75.75 0 0 1-1.5 0Z"></path><path d="M12.792 3.207A6.79 6.79 0 0 0 8 1.22 6.781 6.781 0 1 0 14.781 8a6.79 6.79 0 0 0-1.989-4.793Zm.26 6.886a5.47 5.47 0 0 1-10.104 0 5.468 5.468 0 1 1 10.105 0Z"></path><path d="M5.75 7.5a.75.75 0 1 0 0-1.5.75.75 0 0 0 0 1.5Z"></path><path d="M4.866 9.297c0 1.475 1.405 2.675 3.134 2.675 1.729 0 3.134-1.2 3.134-2.675v-.656H4.866v.656Zm4.723.656c-.316.418-.917.707-1.589.707-.672 0-1.273-.29-1.588-.707h3.177Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-face-excited")
], r);
export {
  r as IconFaceExcited
};
